## Function template max_size_decor

boost::log::expressions::max_size_decor

## Synopsis

    // In header: <boost/log/expressions/formatters/max_size_decorator.hpp>

    template<typename CharT> unspecified max_size_decor(std::size_t max_size);

## Description

The function returns a decorator generator object. The generator provides `operator[]` that can be used to construct the actual decorator.

Parameters:

`max_size` | The maximum number of characters (i.e. string element objects) that the decorated formatter can produce.